Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# LDOMString Class Reference

`#include <LDOMString.hxx>`

Inheritance diagram for LDOMString:

[legend]

## Public Member Functions
| LDOMString ()
| LDOMString (const LDOMString &anOther)
| LDOMString (const Standard_Integer aValue)
| LDOMString (const char *aValue)
const LDOM_MemManager & | getOwnerDocument () const
LDOMString & | operator= (const LDOM_NullPtr *aNull)
LDOMString & | operator= (const LDOMString &anOther)
## Private Member Functions
| LDOMString (const LDOMBasicString &anOther, const LDOM_MemManager &aDoc)
| LDOMString (const LDOMBasicString &anOther, const Handle(LDOM_MemManager)&aDoc)
## Static Private Member Functions
static LDOMString | CreateDirectString (const char *aValue, const LDOM_MemManager &aDoc)
## Private Attributes
const LDOM_MemManager * | myPtrDoc

## Constructor & Destructor Documentation

LDOMString::LDOMString | ( |  | ) | `[inline]`

LDOMString::LDOMString | ( | const LDOMString & | anOther | ) | `[inline]`

LDOMString::LDOMString | ( | const Standard_Integer | aValue | ) | `[inline]`

LDOMString::LDOMString | ( | const char * | aValue | ) | `[inline]`

LDOMString::LDOMString | ( | const LDOMBasicString & | anOther,
|  | const LDOM_MemManager & | aDoc
| ) | `[inline, private]`

LDOMString::LDOMString | ( | const LDOMBasicString & | anOther,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) | `[private]`

## Member Function Documentation

static LDOMString LDOMString::CreateDirectString | ( | const char * | aValue,
|  | const LDOM_MemManager & | aDoc
| ) | `[static, private]`

const LDOM_MemManager& LDOMString::getOwnerDocument | ( |  | ) | const`[inline]`

LDOMString& LDOMString::operator= | ( | const LDOMString & | anOther | ) | `[inline]`

LDOMString& LDOMString::operator= | ( | const LDOM_NullPtr * | aNull | ) | `[inline]`

| Reimplemented from LDOMBasicString.

## Field Documentation

const LDOM_MemManager* LDOMString::myPtrDoc`[private]`

The documentation for this class was generated from the following file:

- LDOMString.hxx